Main Page Widgets Namespaces Book

# Gtk::Tooltip Class Reference

Inheritance diagram for Gtk::Tooltip:

[legend]
List of all members.

## Public Member Functions
const GtkTooltip* | gobj () const
| Provides access to the underlying C GObject.
GtkTooltip* | gobj ()
| Provides access to the underlying C GObject.
GtkTooltip* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_custom (Widget& custom_widget)
void | set_icon (const Glib::RefPtr<Gdk::Pixbuf>& pixbuf)
void | set_icon_from_stock (const StockID& stock_id, IconSize size)
void | set_markup (const Glib::ustring& markup)
void | set_text (const Glib::ustring& markup)
virtual | ~Tooltip ()
## Static Public Member Functions
static void | trigger_tooltip_query (const Glib::RefPtr<Gdk::Display>& display)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::Tooltip> | wrap (GtkTooltip* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Tooltip::~Tooltip | ( |  | ) | `[virtual]`

## Member Function Documentation

const GtkTooltip* Gtk::Tooltip::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTooltip* Gtk::Tooltip::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTooltip* Gtk::Tooltip::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::Tooltip::set_custom | ( | Widget& | custom_widget | ) |

void Gtk::Tooltip::set_icon | ( | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf | ) |

void Gtk::Tooltip::set_icon_from_stock | ( | const StockID& | stock_id,
|  | IconSize | size |
| ) |  |  |

void Gtk::Tooltip::set_markup | ( | const Glib::ustring & | markup | ) |

void Gtk::Tooltip::set_text | ( | const Glib::ustring & | markup | ) |

static void Gtk::Tooltip::trigger_tooltip_query | ( | const Glib::RefPtr<Gdk::Display>& | display | ) | `[static]`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::Tooltip> wrap | ( | GtkTooltip * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- tooltip.h